org.apache.ignite.mxbean

## Interface QueryMXBean

-     public interface QueryMXBean

  Query MXBean interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancelContinuous(String originNodeId, String routineId)` Kills continuous query by the identifier.
    `void` | `cancelScan(String originNodeId, String cacheName, Long id)` Kills scan query by the identifiers.
    `void` | `cancelSQL(String id)` Kills SQL query by the identifier.

- - ### Method Detail

    - #### cancelContinuous

          @MXBeanDescription(value="Kills continuous query by the identifier.")
          void cancelContinuous(@MXBeanParameter(name="originNodeId",description="Originating node ID.")
                                                                                                      String originNodeId,
                                                                                                      @MXBeanParameter(name="routineId",description="Continuous query id.")
                                                                                                      String routineId)

      Kills continuous query by the identifier.
      Parameters:
        `routineId` - Continuous query id.
        `originNodeId` - ID of the node that is CQ initiator.
      See Also:
        `ContinuousQueryView.routineId()`

    - #### cancelSQL

          @MXBeanDescription(value="Kills SQL query by the identifier.")
          void cancelSQL(@MXBeanParameter(name="id",description="SQL query id.")
                                                                                        String id)

      Kills SQL query by the identifier.
      Parameters:
        `id` - SQL query id.
      See Also:
        `SqlQueryView.queryId()`

    - #### cancelScan

          @MXBeanDescription(value="Kills scan query by the identifiers.")
          void cancelScan(@MXBeanParameter(name="originNodeId",description="Originating node ID.")
                                                                                           String originNodeId,
                                                                                           @MXBeanParameter(name="cacheName",description="Cache name.")
                                                                                           String cacheName,
                                                                                           @MXBeanParameter(name="id",description="Scan query id.")
                                                                                           Long id)

      Kills scan query by the identifiers.
      Parameters:
        `originNodeId` - Originating node id.
        `cacheName` - Cache name.
        `id` - Scan query id.
      See Also:
        `ScanQueryView.originNodeId()`, `ScanQueryView.cacheName()`, `ScanQueryView.queryId()`

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022